Update Conversation
curl --request PUT \
--url https://api-spectra.duplik.cn/v1/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "<string>",
"title": "<string>",
"file_ids": [
"<string>"
],
"config": {
"enable_websearch": false
},
"status": 123,
"third_user_id": "<string>"
}
'import requests
url = "https://api-spectra.duplik.cn/v1/conversations/{conversation_id}"
payload = {
"agent_id": "<string>",
"title": "<string>",
"file_ids": ["<string>"],
"config": { "enable_websearch": False },
"status": 123,
"third_user_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '<string>',
title: '<string>',
file_ids: ['<string>'],
config: {enable_websearch: false},
status: 123,
third_user_id: '<string>'
})
};
fetch('https://api-spectra.duplik.cn/v1/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": 123,
"updated_at": 123,
"org_id": "<string>",
"user_id": "<string>",
"conversation_id": "<string>",
"agent_id": "<string>",
"title": "",
"file_ids": [
"<string>"
],
"config": {
"enable_websearch": false
},
"status": 1,
"third_user_id": "<string>",
"agent": {
"agent_id": "<string>",
"name": "<string>",
"mode": "<string>",
"icon": "<string>"
},
"user_files": []
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Conversations
Update Conversation
更新一个对话
PUT
/
v1
/
conversations
/
{conversation_id}
Update Conversation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Conversation update model
Response
Successful Response
Conversation detail read model
Agent ID
Maximum string length:
20Conversation title
Maximum string length:
128User attachment files
Conversation config
Show child attributes
Show child attributes
Conversation status
third_user_id
Maximum string length:
32Agent information
Show child attributes
Show child attributes
User uploaded files
Show child attributes
Show child attributes
⌘I
